Bug 1597182 - rpmtrans says to use non-existent dnf.callback.PKG_ERASE
Summary: rpmtrans says to use non-existent dnf.callback.PKG_ERASE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Mach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 08:13 UTC by Yedidyah Bar David
Modified: 2019-03-21 14:40 UTC (History)
5 users (show)

Fixed In Version: dnf-4.2.1-1.fc30 dnf-4.2.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 19:38:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Yedidyah Bar David 2018-07-02 08:13:06 UTC
Description of problem:

dnf/yum/rpmtrans.py: TransactionDisplay currently has:

    PKG_ERASE = _add_deprecated_action("PKG_ERASE")

which says to use dnf.callback.PKG_ERASE . But:

>>> import dnf.callback
>>> dnf.callback.PKG_ERASE
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>

Version-Release number of selected component (if applicable):

Current master (3.0.2)

How reproducible:

Always

Steps to Reproduce:
1. See above
2.
3.

Actual results:

See above

Expected results:

Not sure. If you want to expose PKG_ERASE in callback, add it there. Otherwise perhaps change the text for it or something.

Additional info:

Opening this bug because currently otopi's dnf packager on rawhide is broken, and based on [1] I pushed [2], which fails as above.

[1] https://github.com/rpm-software-management/dnf/commit/7e48554
[2] https://gerrit.ovirt.org/92724

Didn't try yet to manually install rawhide, only saw this on CI [3]:

2018-07-02 07:29:07,134+0000 DEBUG otopi.context context._executeMethod:128 Stage boot METHOD otopi.plugins.otopi.packagers.dnfpackager.Plugin._boot
2018-07-02 07:29:07,446+0000 DEBUG otopi.plugins.otopi.packagers.dnfpackager dnfpackager._boot:173 Cannot initialize minidnf
Traceback (most recent call last):
  File "/usr/share/otopi/plugins/otopi/packagers/dnfpackager.py", line 157, in _boot
    constants.PackEnv.DNF_DISABLED_PLUGINS
  File "/usr/share/otopi/plugins/otopi/packagers/dnfpackager.py", line 60, in _getMiniDNF
    from otopi import minidnf
  File "/usr/lib/python3.6/site-packages/otopi/minidnf.py", line 92, in <module>
    class MiniDNF():
  File "/usr/lib/python3.6/site-packages/otopi/minidnf.py", line 160, in MiniDNF
    class _MyTransactionDisplay(dnf.yum.rpmtrans.TransactionDisplay):
  File "/usr/lib/python3.6/site-packages/otopi/minidnf.py", line 167, in _MyTransactionDisplay
    dnf.callback.PKG_ERASE: _('Erasing'),
AttributeError: module 'dnf.callback' has no attribute 'PKG_ERASE'

[3] https://jenkins.ovirt.org/job/otopi_master_check-patch-fc28-x86_64/33/artifact/exported-artifacts/logs/otopi-packager-20180702072907-znpzdn.log

Comment 1 Jan Kurik 2018-08-14 09:56:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Fedora Update System 2019-03-13 13:41:56 UTC
dnf-plugins-core-4.0.6-1.fc29 libdnf-0.28.0-1.fc29 libcomps-0.1.11-1.fc29 createrepo_c-0.12.2-1.fc29 librepo-1.9.5-1.fc29 dnf-4.2.1-1.fc29 dnf-plugins-extras-4.0.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a03be2cebe

Comment 4 Fedora Update System 2019-03-13 13:42:50 UTC
dnf-plugins-core-4.0.6-1.fc30 libdnf-0.28.0-1.fc30 libcomps-0.1.11-1.fc30 createrepo_c-0.12.2-1.fc30 librepo-1.9.5-1.fc30 dnf-4.2.1-1.fc30 dnf-plugins-extras-4.0.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 5 Fedora Update System 2019-03-13 15:37:08 UTC
createrepo_c-0.12.2-1.fc30, dnf-4.2.1-1.fc30, dnf-plugins-core-4.0.6-1.fc30, dnf-plugins-extras-4.0.4-1.fc30, libcomps-0.1.11-1.fc30, libdnf-0.28.0-1.fc30, librepo-1.9.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 6 Fedora Update System 2019-03-14 18:51:38 UTC
createrepo_c-0.12.2-1.fc29, dnf-4.2.1-1.fc29, dnf-plugins-core-4.0.6-1.fc29, dnf-plugins-extras-4.0.4-1.fc29, libcomps-0.1.11-1.fc29, libdnf-0.28.0-1.fc29, librepo-1.9.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a03be2cebe

Comment 7 Fedora Update System 2019-03-15 13:09:43 UTC
createrepo_c-0.12.2-1.fc30 dnf-4.2.1-1.fc30 dnf-plugins-core-4.0.6-1.fc30 dnf-plugins-extras-4.0.4-1.fc30 libcomps-0.1.11-1.fc30 libdnf-0.28.0-1.fc30 librepo-1.9.5-1.fc30 swid-tools-0.7.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 8 Fedora Update System 2019-03-16 20:17:37 UTC
createrepo_c-0.12.2-1.fc30, dnf-4.2.1-1.fc30, dnf-plugins-core-4.0.6-1.fc30, dnf-plugins-extras-4.0.4-1.fc30, libcomps-0.1.11-1.fc30, libdnf-0.28.0-1.fc30, librepo-1.9.5-1.fc30, swid-tools-0.7.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 9 Fedora Update System 2019-03-19 19:38:47 UTC
createrepo_c-0.12.2-1.fc30, dnf-4.2.1-1.fc30, dnf-plugins-core-4.0.6-1.fc30, dnf-plugins-extras-4.0.4-1.fc30, libcomps-0.1.11-1.fc30, libdnf-0.28.0-1.fc30, librepo-1.9.5-1.fc30, swid-tools-0.7.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-03-21 14:40:45 UTC
createrepo_c-0.12.2-1.fc29, dnf-4.2.1-1.fc29, dnf-plugins-core-4.0.6-1.fc29, dnf-plugins-extras-4.0.4-1.fc29, libcomps-0.1.11-1.fc29, libdnf-0.28.0-1.fc29, librepo-1.9.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.